<?php

include_once (MYSQL);
include_once (EMAIL);
include_once (dirname(__FILE__)."/localization.php");
include_once (dirname(__FILE__)."/clients.php");

class registration {

    function registration() {     
		error_reporting(0);
		$this->DB = new DB;
		$this->DB->connect();
		$this->LOCALIZE = new localization;
		$this->EMAIL = new email;
		$this->CLIENTS = new clients;
    }
	
	function addUser($params, $lang) {
		
		$lang = $this->LOCALIZE->checkLanguage($lang);
		
		$sd = $this->CLIENTS->getData("mail");
		
		session_start();
		
		$nick = addslashes($params['nick']);;
		$email = $params['email'];
		$secure = $params['secure'];
		
		$cur = $_SESSION['strSec'];
		$ver = md5($secure);  		
		if ($cur != $ver) {
			return array('valid' => false, 
						 'error' => $this->LOCALIZE->getPhrase('secure_code_error', $lang),
						 'title' => $this->LOCALIZE->getPhrase('error', $lang));
		}
		
		$getdata = $this->DB->query("SELECT id FROM users WHERE name = '$nick' LIMIT 1");
		$rows = $this->DB->get_num_rows($getdata);
		if ($rows > 0) {
			return array('valid' => false, 
						 'error' => $this->LOCALIZE->getPhrase('r_name_exists', $lang),
						 'title' => $this->LOCALIZE->getPhrase('error', $lang));
		}
		
		$getdata = $this->DB->query("SELECT id FROM users WHERE email = '$email' LIMIT 1");
		$rows = $this->DB->get_num_rows($getdata);
		if ($rows > 0) {
			return array('valid' => false, 
						 'error' => $this->LOCALIZE->getPhrase('r_email_exists', $lang),
						 'title' => $this->LOCALIZE->getPhrase('error', $lang));
		}
		
		if ($sd['reg_conf']) {
			
			$chars = array("a","b","c","d","e","f","h","i","k","m","n","o","r","s","t","u","v","w","x","z","0","1","2","3","4","5","6","7","8","9");
			$password = "";
			for ($i = 0; $i < 6; $i++) {
				$password .= $chars[rand(0, count($chars) - 1)];
			}
			
			$subject = sprintf($this->LOCALIZE->getPhrase('r_subject', $lang), $sd['title']);
			$message = sprintf($this->LOCALIZE->getPhrase('r_message', $lang), $nick, $sd['title'], $email, $password, $sd['signature']);
			
			$this->EMAIL->sendEmail($email, $subject, $message, $sd['title'], $sd['email']);
			
			$mess = $this->LOCALIZE->getPhrase('r_thanks2', $lang);
			
		} else {
			$password = $params['password'];
			$mess = $this->LOCALIZE->getPhrase('r_thanks1', $lang);
		}
		
		$data['gender'] = $params['gender'];
		$data['birth_date'] = $params['birth_date'];
		$data['country'] = "ru";
		$data = addslashes(serialize($data));
		
		$this->DB->query("INSERT INTO users (name, password, email, join_date, data)	  
						  VALUES('$nick', MD5('$password'), '$email', UNIX_TIMESTAMP(), '$data') ");
		
		return array('valid' => true, 'message' => $mess);
		
    }
	
	function forgotPassword($email, $secure, $lang) {
		
		$lang = $this->LOCALIZE->checkLanguage($lang);
		
		$getdata = $this->DB->query("SELECT * FROM users WHERE email = '$email' LIMIT 1");
		$rows = $this->DB->get_num_rows($getdata);	
		$section = $this->DB->fetch_array($getdata);	
		
		$cur_id = $section['id'];
		$cur_email = $section['email'];
		$cur_name = $section['name'];
		
		$cur = $_SESSION['strSec'];
		$ver = md5($secure);  		
		if ($cur != $ver) {
			$result = array('valid' => false, 
							'error' => $this->LOCALIZE->getPhrase('secure_code_error', $lang),
							'title' => $this->LOCALIZE->getPhrase('error', $lang));
			return $result;
		}
		
		if ($cur_id == "") {
			$result = array('valid' => false, 
							'error' => $this->LOCALIZE->getPhrase('login_error_forgot_pass', $lang),
							'title' => $this->LOCALIZE->getPhrase('alert', $lang));
			return $result;
		}
		
		$chars = array("a","b","c","d","e","f","h","i","k","m","n","o","r","s","t","u","v","w","x","z","0","1","2","3","4","5","6","7","8","9");
		$newpass = "";
		for ($i = 0; $i < 6; $i++) {
			$newpass .= $chars[rand(0, count($chars) - 1)];
		}
		$newpass_md5 = md5($newpass);
		
		$this->DB->query("UPDATE users SET password = '$newpass_md5', active = '1' WHERE id = '$cur_id' LIMIT 1;");
		
		// *******************************************
		
		$sd = $this->CLIENTS->getData("mail");
		
		$subject = sprintf($this->LOCALIZE->getPhrase('s_forgot_pass_subject', $lang), $sd['title']);
		$message = sprintf($this->LOCALIZE->getPhrase('s_forgot_pass_message', $lang), $cur_name, $newpass, $sd['signature']);

		$this->EMAIL->sendEmail($email, $subject, $message, $sd['title'], $sd['email']);
		
		// *******************************************
		
		$result = array('valid' => true, 
						'message' => $this->LOCALIZE->getPhrase('login_mess_forgot_pass', $lang),
						'title' => $this->LOCALIZE->getPhrase('alert', $lang));
		
		return $result;
		
	}
	
	/*function createGuid() {
	  if (function_exists('com_create_guid')) {
		$uuid = com_create_guid();
		$uuid = str_replace('{', '', $uuid);
		$uuid = str_replace('}', '', $uuid);
		return $uuid;
	  } else {
		mt_srand((double)microtime()*10000);
		$charid = strtoupper(md5(uniqid(rand(), true)));
		$hyphen = chr(45);// "-"
		$uuid = substr($charid, 0, 8).$hyphen
				.substr($charid, 8, 4).$hyphen
				.substr($charid,12, 4).$hyphen
				.substr($charid,16, 4).$hyphen
				.substr($charid,20,12);
		return $uuid;
	  }
	}*/
	
}
?>