<?php

include_once (MYSQL);

class weather {
	
	function weather() {
		$this->DB = new DB;
		$this->DB->connect();
    }
	
	function getCountry() {
		$country = array();
		$getdata = $this->DB->query("SELECT * FROM weather_country WHERE iso = 'ru' ORDER BY name ASC LIMIT 1;");
		$section = $this->DB->fetch_array($getdata);
		$country[] = array('id' => $section['id'], 'iso' => $section['iso'], 'name' => $section['name']);
		$getdata = $this->DB->query("SELECT * FROM weather_country WHERE iso <> 'ru' ORDER BY name ASC;");
		while ($section = $this->DB->fetch_array($getdata)) {
			$country[] = array('id' => $section['id'], 'iso' => $section['iso'], 'name' => $section['name']);
		}
		return $country;
	}
	
	function getCity($country_id) {
		$city = array();
		$getdata = $this->DB->query("SELECT * FROM weather_city WHERE country_id = '$country_id' ORDER BY city_name ASC");
		while($section = $this->DB->fetch_array($getdata)) {
			$city[] = array('id' => $section['city_id'], 'name' => $section['city_name']);
		}
		return $city;
	}
	
	function getWeather($id) {
		
		error_reporting(0);
		
		$id = (string) $id;
		if (strlen($id) == 4) $id = "0".$id;
		
		$url = "http://informer.gismeteo.ru/xml/".$id."_1.xml";
		
		$result = array();
		
		$handle = file_get_contents($url, false);
		if (!$handle) return false; 
		
		$xml = new SimpleXMLElement($handle);
		
		$town = $xml->REPORT[0]->TOWN[0];
		
		$result['town'] = array('index' => (string) $town['index'], 
		                        'sname' => iconv("WINDOWS-1251", "UTF-8", urldecode ((string) $town['sname'])), 
								'latitude' => (string) $town['latitude'], 
								'longitude' => (string) $town['longitude']);
		
		$forcast = array();
		
		for ($i=0; $i<4; $i++) {
			
			$f = $town->FORECAST[$i];
			
			$ph = $f->PHENOMENA;
			
			$phenomena = array('cloudiness' => (string) $ph['cloudiness'], 
							   'precipitation' => (string) $ph['precipitation'], 
							   'rpower' => (string) $ph['rpower'], 
							   'spower' => (string) $ph['spower']);
							   
			$pr = $f->PRESSURE;
			$pressure = array('min' => (string) $pr['min'], 
							  'max' => (string) $pr['max']);
							  
			$t = $f->TEMPERATURE;
			$t_min = (string) $t['min'];
			
			$t_max = (string) $t['max'];
			
			$temperature = array('min' => $t_min, 'max' => $t_max);
								 
			$w = $f->WIND;
			
			$wind = array('min' => (string) $w['min'], 
						  'max' => (string) $w['max'],
						  'direction' => (int) $f->WIND);
						  
			$r = $f->RELWET;
			$relwet = array('min' => (string) $r['min'], 
							'max' => (string) $r['max']);
								 
			$h = $f->HEAT;
			$h_min = (string) $h['min'];
			
			$h_max = (string) $h['max'];
			
			$heat = array('min' => $h_min, 'max' => $h_max);
			
			$forcast[$i] = array('day' => (string) $f['day'], 
			                     'month' => (string) $f['month'], 
								 'year' => (string) $f['year'], 
								 'hour' => (string) $f['hour'], 
								 'tod' => (string) $f['tod'], 
								 'predict' => (string) $f['predict'], 
								 'weekday' => (string) $f['weekday'],
								 'phenomena' => $phenomena,
								 'pressure' => $pressure,
								 'temperature' => $temperature,
								 'wind' => $wind,
								 'relwet' => $relwet,
								 'heat' => $heat);
			
		}
		
		$result['forcast'] = $forcast;
		
		return $result;
		
	}
	
}

?>