<?php

include_once (MYSQL);
include_once (dirname(__FILE__)."/localization.php");

class advertising {
	
    function advertising() {     
		$this->DB = new DB;
		$this->DB->connect();
		$this->LOCALIZE = new localization;
    }
	
	/*
	* Contracts
	*/
	
	function getContracts() {
		$getdata = $this->DB->query("SELECT * FROM ads_contracts ORDER BY name ASC;");
		while($section = $this->DB->fetch_array($getdata)) {
			$id = $section['id'];
			$active = $section['active'];
			$name = $section['name'];
			$description = $section['decription'];
			$contracts[] = array('id' => $id, 'active' => $active, 'name' => $name, 'description' => $description);
		}
        return $contracts;
	}
	
	function addContract($params) {
		
		$name = addslashes($params['name']);
		$active = $params['active'];
		$description = addslashes($params['description']);
		
		$lang = $this->LOCALIZE->checkLanguage($params['lang']);
		
		//******* ,       
		$getdata = $this->DB->query("SELECT id FROM ads_contracts WHERE name = '$name' LIMIT 1;");
		$section = $this->DB->fetch_array($getdata);
		$rows = $this->DB->get_num_rows();
		if ($rows != 0) {
			return array('valid' => false, 
						 'error' => $this->LOCALIZE->getPhrase('add_contract_error_name_exists', $lang),
						 'title' => $this->LOCALIZE->getPhrase('error', $lang));
		}
		
		$this->DB->query("INSERT INTO ads_contracts (active, name, decription, created) VALUES('$active', '$name', '$description', UNIX_TIMESTAMP());");
		
		return array('valid' => true);
		
	}
	
	function editContract($params) {
		
		$id = $params['id'];
		$name = addslashes($params['name']);
		$active = $params['active'];
		$description = addslashes($params['description']);
		
		$lang = $this->LOCALIZE->checkLanguage($params['lang']);
		
		//******* ,       
		$getdata = $this->DB->query("SELECT id FROM ads_contracts WHERE name = '$name' AND id <> '$id' LIMIT 1;");
		$section = $this->DB->fetch_array($getdata);
		$rows = $this->DB->get_num_rows();
		if ($rows != 0) {
			return array('valid' => false, 
						 'error' => $this->LOCALIZE->getPhrase('add_contract_error_name_exists', $lang),
						 'title' => $this->LOCALIZE->getPhrase('error', $lang));
		}
		
		$this->DB->query("UPDATE ads_contracts SET active = '$active', name = '$name', decription = '$description' WHERE id = '$id' LIMIT 1;");
		
		return array('valid' => true);
		
	}
	
	function removeContract($id) {
		$this->DB->query("DELETE FROM ads_contracts WHERE id = '$id';");
		$this->DB->query("DELETE FROM ads_baners WHERE contract_id = '$id';");
		return true;
	}
	
	function getContractsCount() {
		$getdata = $this->DB->query("SELECT COUNT(*) AS count FROM ads_contracts WHERE active = 1;");
		$section = $this->DB->fetch_array($getdata);
        return $section['count'];
	}
	
	/*
	* Baners
	*/
	
	function getBanners() {
		$getdata = $this->DB->query("SELECT ads_baners.*, ads_contracts.name AS contract FROM ads_baners
                                     Inner Join ads_contracts ON ads_baners.contract_id = ads_contracts.id
                                     WHERE ads_contracts.active = '1' ORDER BY ads_baners.name ASC;");
		while($section = $this->DB->fetch_array($getdata)) {
			$id = $section['id'];
			
			$active = $section['active'];
			if ($section['stop'] != 0 && $section['stop'] < time()) {
				$active = 2;
			}
			if ($section['impressions'] != -1 && $section['impressions'] < 1) {
				$active = 2;
			}
			if ($section['clicks'] != -1 && $section['clicks'] < 1) {
				$active = 2;
			}
			
			$name = $section['name'];
			$description = $section['decription'];
			$contract = $section['contract'];
			$btype = $section['btype'];
			$contracts[] = array('id' => $id, 
								 'active' => $active, 
								 'name' => $name, 
								 'contract' => $contract, 
								 'btype' => $btype, 
								 'description' => $description);
		}
        return $contracts;
	}
	
	function addBanner($params) {
		
		$contract_id = $params['contract_id'];
		$name = addslashes($params['name']);
		$active = $params['active'];
		$description = addslashes($params['description']);
		
		$start = $params['start'];
		if ($start > 0) {
			$date = getdate($start);
			$start = mktime (0, 0, 0, $date['mon'], $date['mday'], $date['year']);
		}
		
		$stop = $params['stop'];
		if ($stop > 0) {
			$date = getdate($stop);
			$stop = mktime (0, 0, 0, $date['mon'], $date['mday'], $date['year']);
		}
		
		$place = $params['place'];
		
		$btype = $params['btype'];
		$text = $params['text'];
		$text_color = $params['text_color'];
		$background_color = $params['background_color'];
		$path = $params['path'];
		
		$url = addslashes($params['url']);
		$impressions = $params['impressions'];
		$clicks = $params['clicks'];
		$rooms = $params['rooms'];
		$groups = $params['groups'];
		$gender = $params['gender'];
		$time = $params['time'];
		
		$lang = $this->LOCALIZE->checkLanguage($params['lang']);
		
		//******* ,       
		$getdata = $this->DB->query("SELECT id FROM ads_baners WHERE name = '$name' LIMIT 1;");
		$section = $this->DB->fetch_array($getdata);
		$rows = $this->DB->get_num_rows();
		if ($rows != 0) {
			return array('valid' => false, 
						 'error' => $this->LOCALIZE->getPhrase('add_banner_error_name_exists', $lang),
						 'title' => $this->LOCALIZE->getPhrase('error', $lang));
		}
		
		$this->DB->query("INSERT INTO ads_baners (contract_id, name, active, description, start, stop, place, btype, text, text_color, background_color, path, url, impressions, clicks, groups, gender, created) 
		                  VALUES('$contract_id', '$name', '$active', '$description', '$start', '$stop', '$place', '$btype', '$text', '$text_color', '$background_color', '$path', '$url', '$impressions', '$clicks', '$groups', '$gender', UNIX_TIMESTAMP());");
		
		$id = $this->DB->insert_id();
		
		$rooms = explode(",", $rooms);
		for ($i=0; $i<count($rooms); $i++) {
			$room_id = $rooms[$i];
			$this->DB->query("INSERT INTO ads_room (banner_id, room_id) VALUES ('$id', '$room_id');");
		}
		
		$time = explode(",", $time);
		for ($i=0; $i<count($time); $i++) {
			$day = floor($i/24);
			$hour = floor($i - $day * 24);
			$selected = $time[$i];
			$this->DB->query("INSERT INTO ads_week (`banner_id`, `day`, `hour`, `selected`) VALUES ('$id', '$day', '$hour', '$selected');");
		}
		
		return array('valid' => true);
		
	}
	
	function editBanner($params) {
		
		$id = $params['id'];
		$contract_id = $params['contract_id'];
		$name = addslashes($params['name']);
		$active = $params['active'];
		$description = addslashes($params['description']);
		
		$start = $params['start'];
		if ($start > 0) {
			$date = getdate($start);
			$start = mktime (0, 0, 0, $date['mon'], $date['mday'], $date['year']);
		}
		
		$stop = $params['stop'];
		if ($stop > 0) {
			$date = getdate($stop);
			$stop = mktime (0, 0, 0, $date['mon'], $date['mday'], $date['year']);
		}
		
		$place = $params['place'];
		
		$btype = $params['btype'];
		$text = $params['text'];
		$text_color = $params['text_color'];
		$background_color = $params['background_color'];
		
		$path = $params['path'];
		$old_path = $params['old_path'];
		
		$url = addslashes($params['url']);
		$impressions = $params['impressions'];
		$clicks = $params['clicks'];
		$rooms = $params['rooms'];
		$groups = $params['groups'];
		$gender = $params['gender'];
		$time = $params['time'];
		
		$lang = $this->LOCALIZE->checkLanguage($params['lang']);
		
		//******* ,       
		$getdata = $this->DB->query("SELECT id FROM ads_baners WHERE name = '$name' AND id <> '$id' LIMIT 1;");
		$section = $this->DB->fetch_array($getdata);
		$rows = $this->DB->get_num_rows();
		if ($rows != 0) {
			return array('valid' => false, 
						 'error' => $this->LOCALIZE->getPhrase('add_banner_error_name_exists', $lang),
						 'title' => $this->LOCALIZE->getPhrase('error', $lang));
		}
		
		$path_query = "";
		if ($path != "") {
			$path_query = "path = '$path',";
			$this->deleteFileBanner($old_path);
		}
		
		$this->DB->query("UPDATE ads_baners SET 
							  $path_query
							  contract_id  = '$contract_id', 
							  name = '$name',
							  active = '$active', 
							  description = '$description', 
							  start = '$start', 
							  stop = '$stop', 
							  place = '$place', 
							  btype = '$btype', 
							  text = '$text', 
							  text_color = '$text_color', 
							  background_color = '$background_color', 
							  url = '$url', 
							  impressions = '$impressions', 
							  clicks = '$clicks',
							  groups = '$groups', 
							  gender = '$gender'
						  WHERE id = '$id' LIMIT 1;");
		
		$this->DB->query("DELETE FROM ads_room WHERE banner_id = '$id';");
		$rooms = explode(",", $rooms);
		for ($i=0; $i<count($rooms); $i++) {
			$room_id = $rooms[$i];
			$this->DB->query("INSERT INTO ads_room (banner_id, room_id) VALUES ('$id', '$room_id');");
		}
		
		$this->DB->query("DELETE FROM ads_week WHERE banner_id = '$id';");
		$time = explode(",", $time);
		for ($i=0; $i<count($time); $i++) {
			$day = floor($i/24);
			$hour = floor($i - $day * 24);
			$selected = $time[$i];
			$this->DB->query("INSERT INTO ads_week (`banner_id`, `day`, `hour`, `selected`) VALUES ('$id', '$day', '$hour', '$selected');");
		}
		
		return array('valid' => true);
		
	}
	
	function removeBanner($id) {
		$getdata = $this->DB->query("SELECT path FROM ads_baners WHERE id = $id LIMIT 1;");
		$section = $this->DB->fetch_array($getdata);
		if ($section['path'] != "") {
			$this->deleteFileBanner($section['path']);
		}
		$this->DB->query("DELETE FROM ads_baners WHERE id = '$id' LIMIT 1;");
		return true;
	}
	
	function getBannerData($banner_id, $lang) {
		
		$lang = $this->LOCALIZE->checkLanguage($lang);
		
		$result = array();
		
		// 
		$contracts = array();
		$getdata = $this->DB->query("SELECT * FROM ads_contracts WHERE active = 1 ORDER BY name ASC;");
		while($section = $this->DB->fetch_array($getdata)) {
			$id = $section['id'];
			$name = $section['name'];
			$contracts[] = array('id' => $id, 'name' => $name);
		}
		
		// ,   
		$rooms = array();
		$getdata = $this->DB->query("SELECT * FROM rooms WHERE c_id = 0 AND active = 1 ORDER BY rtype ASC;");
		while($section = $this->DB->fetch_array($getdata)) {
			$rooms[] = array('id' => $section['id'], 'name' => $section['name'], 'rtype' => $section['rtype'], 'selected' => true);
		}
		
		// 
		$gender = array();
		$gender[] = array('id' => 'm', 'name' => ucfirst($this->LOCALIZE->getPhrase('male', $lang)), 'selected' => true);
		$gender[] = array('id' => 'f', 'name' => ucfirst($this->LOCALIZE->getPhrase('female', $lang)), 'selected' => true);
		
		// 
		$groups = array();
		$names = explode(",", $this->LOCALIZE->getPhrase('server_groups', $lang));
		$groups[] = array('id' => 'guest', 'name' => $names[0], 'selected' => true);
		$groups[] = array('id' => 'user', 'name' => $names[1], 'selected' => true);
		$groups[] = array('id' => 'moderator', 'name' => $names[2], 'selected' => true);
		$groups[] = array('id' => 'admin', 'name' => $names[3], 'selected' => true);
		
		// 
		$times = "";
		
		// 
		if ($banner_id > 0) {
			
			$getdata = $this->DB->query("SELECT * FROM ads_baners WHERE id = $banner_id LIMIT 1;");
			$section = $this->DB->fetch_array($getdata);
			
			$result['contract_id'] = $section['contract_id'];
			$result['name'] = $section['name'];
			$result['active'] = $section['active'];
			$result['description'] = $section['description'];
			
			$result['start'] = $section['start'];
			$result['stop'] = $section['stop'];
			$result['place'] = $section['place'];
			
			$result['btype'] = $section['btype'] == 0 ? "text" : "flash";
			$result['text'] = $section['text'];
			$result['text_color'] = $section['text_color'];
			$result['background_color'] = $section['background_color'];
			$result['path'] = $section['path'];
			
			$result['url'] = $section['url'];
			$result['impressions'] = $section['impressions'];
			$result['clicks'] = $section['clicks'];
			
			$bannerRooms = $this->getBannerRooms($banner_id);
			for ($i=0; $i<count($rooms); $i++) {
				$rooms[$i]['selected'] = in_array($rooms[$i]['id'], $bannerRooms);
			}
			
			$bannerGroups = explode(",", $section['groups']);
			for ($i=0; $i<count($groups); $i++) {
				$groups[$i]['selected'] = in_array($groups[$i]['id'], $bannerGroups);
			}
			
			$bannerGender = explode(",", $section['gender']);
			for ($i=0; $i<count($gender); $i++) {
				$gender[$i]['selected'] = in_array($gender[$i]['id'], $bannerGender);
			}
			
			$times = $this->getBannerWeek($banner_id);
			
		}
		
		$result['contracts'] = $contracts;
		$result['directions'] = $rooms;
		$result['gender'] = $gender;
		$result['groups'] = $groups;
		$result['times'] = $times;
		
        return $result;
		
	}
	
	function getBannerRooms($banner_id) {
		$getdata = $this->DB->query("SELECT room_id FROM ads_room WHERE banner_id = $banner_id;");
		$rooms = array();
		while ($section = $this->DB->fetch_array($getdata)) {
			$rooms[] = $section['room_id'];
		}
		return $rooms;
	}
	
	function getBannerWeek($banner_id) {
		$getdata = $this->DB->query("SELECT * FROM ads_week WHERE banner_id = $banner_id ORDER BY `day` ASC, `hour` ASC;");
		$week = array();
		while ($section = $this->DB->fetch_array($getdata)) {
			$week[] = $section['selected'];
		}
		return implode(",", $week);
	}
	
	function deleteFileBanner($file) {
		$path = realpath(ROOT . "swf/banners/" . $file);
		if (is_file($path)) {
			unlink($path);
		}
		return true;
	}
	
	function click($id) {
		$getdata = $this->DB->query("UPDATE ads_baners SET clicks = clicks - 1 WHERE id = $id AND clicks > 0;");
	}
	
}

?>