<?php

include_once (MYSQL);

class fms {
	
    function fms() {     
		$this->DB = new DB;
		$this->DB->connect();
    }
	
	function getTask($room_id) {
		
		$getdata = $this->DB->query("SELECT IF (c_id = 0, id, c_id) AS room_id FROM rooms WHERE id = $room_id;");
		$section = $this->DB->fetch_array($getdata);
		$room_id = $section['room_id'];
		
		$getdata = $this->DB->query("SELECT
										ads_baners.id,
										ads_baners.btype,
										ads_baners.`text`,
										ads_baners.text_color,
										ads_baners.background_color,
										ads_baners.path,
										ads_baners.url,
										ads_baners.groups,
										ads_baners.gender,
										ads_baners.place
									 FROM
										ads_baners
										Inner Join ads_contracts ON ads_baners.contract_id = ads_contracts.id
										Inner Join ads_week ON ads_baners.id = ads_week.banner_id
										Inner Join ads_room ON ads_baners.id = ads_room.banner_id
									 WHERE
										ads_contracts.active =  1 AND
										ads_baners.active =  1 AND
										ads_room.room_id =  $room_id AND
										ads_week.selected =  1 AND
										ads_week.`day` =  WEEKDAY(NOW()) AND
										ads_week.`hour` =  HOUR(NOW()) AND 
										ads_baners.start <  UNIX_TIMESTAMP() AND 
										(ads_baners.stop = 0 OR ads_baners.stop > UNIX_TIMESTAMP()) AND
										(ads_baners.impressions = -1 OR ads_baners.impressions > 0) AND 
										(ads_baners.clicks = -1 OR ads_baners.clicks > 0);");
		
		$banners = array();
		while ($section = $this->DB->fetch_array($getdata)) {
			$banners[] = array('id' => $section['id'],
							   'btype' => $section['btype'],
							   'text' => $section['text'],
							   'textColor' => $section['text_color'],
							   'backgroundColor' => $section['background_color'],
							   'path' => $section['path'],
							   'url' => $section['url'],
							   'groups' => $section['groups'],
							   'gender' => $section['gender'],
							   'place' => $section['place']);
		}
		
		return $banners;
		
	}
	
	function setBannerImpressions($banner_id, $count) {
		$getdata = $this->DB->query("UPDATE ads_baners SET impressions = IF(impressions > $count, impressions - $count, 0) WHERE id = $banner_id AND impressions > 0;");
	}
	
	function getRooms() {
		$getdata = $this->DB->query("SELECT * FROM rooms WHERE active = '1' AND rtype = 'r';");
		while($section = $this->DB->fetch_array($getdata)) {
			$id = $section['id'];
			$name = $section['name'];
			$status = $section['password'] == "" ? "open" : "closed";
			$user_count = $section['user_count'];
			$max_users = $section['max_users'];
			$rooms[] = array('id' => $id, 'name' => $name, 'user_count' => $user_count, 
			                 'max_users' => $max_users, 'status' => $status);
		}
        return $rooms;
    }
	
	function setStatus($userData, $user_count) {
		$id = $userData['id'];
		$status = $userData['status'];
		$room_id = $userData['room'];
		$utype = $userData['utype']; 
		$ip = $userData['ip'];
		if ($utype != "guest") {
			$this->DB->query("UPDATE users SET status = '$status', room_id = '$room_id', last_login = UNIX_TIMESTAMP() WHERE id = '$id' LIMIT 1;");
			$this->DB->query("UPDATE users_session SET date_end = UNIX_TIMESTAMP() WHERE user_id = '$id' AND date_end = '0' LIMIT 1;");
			if ($status != "offline") {
				$this->DB->query("UPDATE rooms SET last_login = UNIX_TIMESTAMP() WHERE id = '$room_id' LIMIT 1;");
				$this->DB->query("INSERT INTO users_session (user_id, date_start, status, room_id) VALUES('$id', UNIX_TIMESTAMP(), '$status', '$room_id') ;");
			} else {
				$this->DB->query("DELETE FROM rooms WHERE owner = '$id' AND temporary = '1';");
			}
		} 
		$this->DB->query("UPDATE rooms SET user_count = '$user_count', max_count = IF($user_count - IF(rtype = 't', 1, 0) > max_count, $user_count - IF(rtype = 't', 1, 0), max_count) WHERE id = '$room_id' LIMIT 1;");
		
		$getdata = $this->DB->query("SELECT max_count FROM rooms WHERE id = '$room_id' LIMIT 1;");
		$section = $this->DB->fetch_array($getdata);
		return $section['max_count'];
	}
	
	function setHistory($user_id, $user_name, $user_type, $room_id, $message, $snapshot) {
		$user_name = addslashes($user_name);
		$message = addslashes($message);
		$this->DB->query("INSERT INTO users_history (user_id, user_name, user_type, room_id, message, time, snapshot) 
		                  VALUES('$user_id', '$user_name', '$user_type', '$room_id', '$message', UNIX_TIMESTAMP(), $snapshot);");
		return true;
	}
	
}

?>